Loading...
Searching...
No Matches
Magick::PathArcArgs Class Reference

## Public Member Functions

| PathArcArgs (double radiusX_, double radiusY_, double xAxisRotation_, bool largeArcFlag_, bool sweepFlag_, double x_, double y_)
| PathArcArgs (const PathArcArgs &original_)
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | xAxisRotation (double xAxisRotation_)
double | xAxisRotation (void) const
void | largeArcFlag (bool largeArcFlag_)
bool | largeArcFlag (void) const
void | sweepFlag (bool sweepFlag_)
bool | sweepFlag (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _radiusX
double | _radiusY
double | _xAxisRotation
bool | _largeArcFlag
bool | _sweepFlag
double | _x
double | _y

## Detailed Description

Definition at line 2356 of file Drawable.h.

## Constructor & Destructor Documentation

## PathArcArgs() [1/3]

Magick::PathArcArgs::PathArcArgs | ( | void |  | ) |

Definition at line 1792 of file Drawable.cpp.

: _radiusX(0),
_radiusY(0),
_xAxisRotation(0),
_largeArcFlag(false),
_sweepFlag(false),
_x(0),
_y(0)
{
}

## PathArcArgs() [2/3]

Magick::PathArcArgs::PathArcArgs | ( | double | radiusX_,
|  | double | radiusY_,
|  | double | xAxisRotation_,
|  | bool | largeArcFlag_,
|  | bool | sweepFlag_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1803 of file Drawable.cpp.

: _radiusX(radiusX_),
_radiusY(radiusY_),
_xAxisRotation(xAxisRotation_),
_largeArcFlag(largeArcFlag_),
_sweepFlag(sweepFlag_),
_x(x_),
_y(y_)
{
}

## PathArcArgs() [3/3]

Magick::PathArcArgs::PathArcArgs | ( | const PathArcArgs & | original_ | ) |

Definition at line 1816 of file Drawable.cpp.

: _radiusX(original_._radiusX),
_radiusY(original_._radiusY),
_xAxisRotation(original_._xAxisRotation),
_largeArcFlag(original_._largeArcFlag),
_sweepFlag(original_._sweepFlag),
_x(original_._x),
_y(original_._y)
{
}

## ~PathArcArgs()

Magick::PathArcArgs::~PathArcArgs | ( | void |  | ) |

Definition at line 1827 of file Drawable.cpp.

{
}

## Member Function Documentation

## largeArcFlag() [1/2]

void Magick::PathArcArgs::largeArcFlag | ( | bool | largeArcFlag_ | ) |

inline

Definition at line 2396 of file Drawable.h.

{
_largeArcFlag = largeArcFlag_;
}

## largeArcFlag() [2/2]

bool Magick::PathArcArgs::largeArcFlag | ( | void |  | ) | const

inline

Definition at line 2400 of file Drawable.h.

{
return _largeArcFlag;
}

## radiusX() [1/2]

void Magick::PathArcArgs::radiusX | ( | double | radiusX_ | ) |

inline

Definition at line 2369 of file Drawable.h.

{
_radiusX = radiusX_;
}

## radiusX() [2/2]

double Magick::PathArcArgs::radiusX | ( | void |  | ) | const

inline

Definition at line 2373 of file Drawable.h.

{
return _radiusX;
}

## radiusY() [1/2]

void Magick::PathArcArgs::radiusY | ( | double | radiusY_ | ) |

inline

Definition at line 2378 of file Drawable.h.

{
_radiusY = radiusY_;
}

## radiusY() [2/2]

double Magick::PathArcArgs::radiusY | ( | void |  | ) | const

inline

Definition at line 2382 of file Drawable.h.

{
return _radiusY;
}

## sweepFlag() [1/2]

void Magick::PathArcArgs::sweepFlag | ( | bool | sweepFlag_ | ) |

inline

Definition at line 2405 of file Drawable.h.

{
_sweepFlag = sweepFlag_;
}

## sweepFlag() [2/2]

bool Magick::PathArcArgs::sweepFlag | ( | void |  | ) | const

inline

Definition at line 2409 of file Drawable.h.

{
return _sweepFlag;
}

## x() [1/2]

void Magick::PathArcArgs::x | ( | double | x_ | ) |

inline

Definition at line 2414 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::PathArcArgs::x | ( | void |  | ) | const

inline

Definition at line 2418 of file Drawable.h.

{
return _x;
}

## xAxisRotation() [1/2]

void Magick::PathArcArgs::xAxisRotation | ( | double | xAxisRotation_ | ) |

inline

Definition at line 2387 of file Drawable.h.

{
_xAxisRotation = xAxisRotation_;
}

## xAxisRotation() [2/2]

double Magick::PathArcArgs::xAxisRotation | ( | void |  | ) | const

inline

Definition at line 2391 of file Drawable.h.

{
return _xAxisRotation;
}

## y() [1/2]

void Magick::PathArcArgs::y | ( | double | y_ | ) |

inline

Definition at line 2423 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::PathArcArgs::y | ( | void |  | ) | const

inline

Definition at line 2427 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _largeArcFlag

bool Magick::PathArcArgs::_largeArcFlag

private

Definition at line 2436 of file Drawable.h.

## _radiusX

double Magick::PathArcArgs::_radiusX

private

Definition at line 2433 of file Drawable.h.

## _radiusY

double Magick::PathArcArgs::_radiusY

private

Definition at line 2434 of file Drawable.h.

## _sweepFlag

bool Magick::PathArcArgs::_sweepFlag

private

Definition at line 2437 of file Drawable.h.

## _x

double Magick::PathArcArgs::_x

private

Definition at line 2438 of file Drawable.h.

## _xAxisRotation

double Magick::PathArcArgs::_xAxisRotation

private

Definition at line 2435 of file Drawable.h.

## _y

double Magick::PathArcArgs::_y

private

Definition at line 2439 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp